Bug 1254390 - gnome wayland session with synergy fails
gnome wayland session with synergy fails
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 20:02 EDT by phil
Modified: 2016-07-19 15:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:55:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description phil 2015-08-17 20:02:46 EDT
Description of problem:
I tried out gnome using wayland under Fedora 22.  I have synergy setup on my main computer, and usually connect my laptop.
However, under gnome+wayland, synergy connects but I have no control over the mouse or keyboard.

This works fine when selecting just gnome for my session

Version-Release number of selected component (if applicable):
gnome-session-wayland-session-3.16.0-1.fc22.x86_64
synergy-1.6.2-1.fc22.x86_64

How reproducible:
Just start up synergy as a client and connect to a server. Fails to control the mouse.

Steps to Reproduce:
1.on servcer start synergy in server mode
2.on client (Fedora box in this case) login with gnome+wayland session
3.on client startup synergy client,  synergyc -f -n fedora-client server
4. From server try to use fedora-client 

Actual results:
no control of mouse

Expected results:
control of mouse and keyboard

Additional info:
Comment 1 Olivier Fourdan 2015-09-17 04:18:57 EDT
I reckon this is pretty much to be expected, synergy is designed for x11 and not ported to Wayland.
Comment 2 Fedora End Of Life 2016-07-19 15:55:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.